kio Library: KIO::DataSlave Class Reference (kio Library)

| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KIO::DataSlave Class Reference

This class provides a high performance implementation for the data url scheme (rfc2397). More...

`#include <dataslave.h>`

Inheritance diagram for KIO::DataSlave:

[legend]
Collaboration diagram for KIO::DataSlave:

[legend]
List of all members.

## Public Member Functions
virtual void | setHost (const QString &host, int port, const QString &user, const QString &passwd)
virtual void | setConfig (const MetaData &config)
virtual void | suspend ()
virtual void | resume ()
virtual bool | suspended ()
virtual void | send (int cmd, const QByteArray &arr=QByteArray())
virtual void | hold (const KURL &url)
virtual void | get (const KURL &url)=0
virtual void | mimetype (const KURL &url)=0
## Protected Types
typedef QValueList< QueueStruct > | DispatchQueue
enum | QueueType { Queue_mimeType = 1, Queue_totalSize, Queue_sendMetaData, Queue_data, Queue_finished }
## Protected Slots
void | dispatchNext ()
## Protected Member Functions
void | setAllMetaData (const MetaData &)
void | sendMetaData ()
virtual void | virtual_hook (int id, void *data)
## Protected Attributes
DispatchQueue | dispatchQueue
## Classes
struct | QueueStruct
| structure for queueing. More...

## Detailed Description

This class provides a high performance implementation for the data url scheme (rfc2397).

Definition at line 49 of file dataslave.h.

## Member Enumeration Documentation

enum KIO::DataSlave::QueueType`[protected]`

| identifiers of functions to be queued Definition at line 85 of file dataslave.h.

## Member Function Documentation

void DataSlave::setAllMetaData | ( | const MetaData & |  | ) | `[protected]`

| Sets metadata. Definition at line 163 of file dataslave.cpp.

void DataSlave::sendMetaData | ( |  | ) | `[protected]`

| Sends metadata set with setAllMetaData. Definition at line 167 of file dataslave.cpp. Referenced by dispatchNext().

void DataSlave::dispatchNext | ( |  | ) | `[protected, slot]`

| dispatches next queued method. Does nothing if there are no queued methods. Definition at line 99 of file dataslave.cpp. References KIO::DataSlave::QueueStruct::ba, QValueList::empty(), QValueList::front(), QValueList::pop_front(), KIO::DataSlave::QueueStruct::s, sendMetaData(), KIO::DataSlave::QueueStruct::size, QTimer::stop(), and KIO::DataSlave::QueueStruct::type.

The documentation for this class was generated from the following files:

- dataslave.h
- dataslave.cpp

This file is part of the documentation for kio Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:25:55 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003